unit uRDBExt;

interface

uses Classes, DB, Rubies;

const
  RDBDLL = 'rdb.so';

function ap_mRDB: Tvalue; external RDBDLL;
function ap_eDatabaseError: Tvalue; external RDBDLL;
function ap_cDataSet: Tvalue; external RDBDLL;
procedure DataSet_setup(This: Tvalue; real: TDataSet); external RDBDLL;
function DataSet_alloc(This: Tvalue; real: TDataSet): Tvalue; external RDBDLL;
function RDBDataSetTmpAllocFuncList: TList; external RDBDLL;
function ap_iIndexDefs(real: TIndexDefs; owner: Tvalue): Tvalue; external RDBDLL;
function ap_iParams(real: TParams; owner: Tvalue): Tvalue; external RDBDLL;

implementation

begin
end.
